TLM-2.0: tlm::tlm_qk_internal::tlm_global_quantum< Dummy > Class Template Reference

# tlm::tlm_qk_internal::tlm_global_quantum< Dummy > Class Template Reference

`#include <tlm_global_quantum.h>`

Collaboration diagram for tlm::tlm_qk_internal::tlm_global_quantum< Dummy >:

[legend]

List of all members.

## Public Member Functions
virtual | ~tlm_global_quantum ()
void | set (const sc_core::sc_time &t)
const sc_core::sc_time & | get () const
sc_core::sc_time | compute_local_quantum ()
## Static Public Member Functions
static tlm_global_quantum & | instance ()
## Protected Member Functions
| tlm_global_quantum ()
## Protected Attributes
sc_core::sc_time | m_global_quantum
## Static Protected Attributes
static tlm_global_quantum * | m_instance = 0

## Detailed Description

### template<typename Dummy>
class tlm::tlm_qk_internal::tlm_global_quantum< Dummy >

Definition at line 52 of file tlm_global_quantum.h.

## Constructor & Destructor Documentation

template<typename Dummy >

virtual tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::~tlm_global_quantum | ( |  | ) | `[inline, virtual]`

Definition at line 67 of file tlm_global_quantum.h.

template<typename Dummy >

tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::tlm_global_quantum | ( |  | ) | `[inline, protected]`

Definition at line 108 of file tlm_global_quantum.h.

## Member Function Documentation

template<typename Dummy >

sc_core::sc_time tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::compute_local_quantum | ( |  | ) | `[inline]`

Definition at line 92 of file tlm_global_quantum.h.

template<typename Dummy >

const sc_core::sc_time& tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::get | ( |  | ) | const`[inline]`

Definition at line 80 of file tlm_global_quantum.h.

template<typename Dummy >

static tlm_global_quantum& tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::instance | ( |  | ) | `[inline, static]`

Definition at line 58 of file tlm_global_quantum.h.

template<typename Dummy >

void tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::set | ( | const sc_core::sc_time & | t | ) | `[inline]`

Definition at line 75 of file tlm_global_quantum.h.

## Member Data Documentation

template<typename Dummy >

sc_core::sc_time tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::m_global_quantum`[protected]`

Definition at line 114 of file tlm_global_quantum.h.

template<typename Dummy >

tlm_global_quantum< Dummy > * tlm::tlm_qk_internal::tlm_global_quantum< Dummy >::m_instance = 0`[inline, static, protected]`

Definition at line 113 of file tlm_global_quantum.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_quantum/tlm_global_quantum.h